Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 84370

Summary: (SCSI AIC79XX)SCSI corruption with aic79xx driver versions 1.0.0 and 1.1.0
Product: [Retired] Red Hat Linux Reporter: Stephen Walton <stephen.walton>
Component: kernelAssignee: Dave Jones <davej>
Status: CLOSED WONTFIX QA Contact: Brian Brock <bbrock>
Severity: high Docs Contact:
Priority: medium    
Version: 8.0CC: alan, nfaerber, pfrields, sflory, steve.atwell
Target Milestone: ---   
Target Release: ---   
Hardware: athlon   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2004-05-27 14:10:54 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Stephen Walton 2003-02-15 00:15:08 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
I have been seeing persistent data corruption when running I/O intensive
operations, such as a kernel rebuild, on a system with the following specs: 
Tyan S2469UGN motherboard, two AMD Athlon 2200+ CPU's, three Western Digital 160
GB IDE disks, and two Seagate Cheetah 36.7 GB LVD disks.  The vendor, Monarch
Computer, shipped me a driver disk with version 1.1.0 of the aic79xx driver.

Updating to version 1.3.1 of the aic79xx driver seems to have fixed my problems;
 this driver can be downloaded from http://people.freebsd.org/~gibbs/linux .


Version-Release number of selected component (if applicable):
2.4.18-14smp

How reproducible:
Always

Steps to Reproduce:
1.  Buy or build a dual Athlon system with an Adaptec U320 controller.
2.  Install the kernel-source RPM and build a kernel.  OR
3.  Download and install the ATLAS subroutine library from
math-atlas.sourceforge.net.
4   Building on the same system on an IDE disk should work normally.
    

Actual Results:  Data corruption:  oddball syntax errors from the kernel build

Expected Results:  No corruption

Additional info:

RedHat should in my opinion absolutely ship version 1.3.1 of Adaptec's aic79xx
driver with its kernels.

Comment 1 Nate Faerber 2003-02-18 20:09:38 UTC
I second this opinion.  We have been having major issues with anything below the
1.3.0 version of this driver.  Although I haven't gotten my hands on 1.3.1, it
should be included with this all new kernels including 8.1.

Comment 2 Nate Faerber 2003-02-18 20:20:28 UTC
Sorry, I realize my previous comment was painfully unhelpful.

We have experienced serious stability issues with regards to the 1.0.0 and 1.1.0
drivers on dual Xeon based motherboards.  These are Tyan S2665 and S2721. 
Basically, lots of disk IO and/or system stress can and will cause kernel panics
and system lockups.

One easily reproducible test should be to create a RAID 0 stripe with 3 drives
and run a disk benchmark like bonnie++.

Comment 3 Samuel Flory 2003-04-01 19:18:31 UTC
I've seen similar issues on the intel SE7501wv2.   Under both Red Hat's latest
eratta kernel, and 2.4.21-pre5-ac1.  I saw file system corruption.  Updating to
the 1.3.5 driver seems to have fixed the issue.
http://people.freebsd.org/~gibbs/linux/

More info on my issues here:
http://marc.theaimsgroup.com/?l=linux-kernel&m=104916069915618&w=2

Comment 4 Nate Faerber 2003-04-01 19:31:14 UTC
Yes, 1.3.5 has helped immensely with our issues.  The point right now is to get
Red Hat to recognize the problem with 1.0.0 drivers and update the kernel to
include _reliable_ versions of the aic79xx driver.

Comment 5 Samuel Flory 2003-04-01 20:11:34 UTC
   Hmmm I think I gave the wrong version.  I could swear Justin said 1.3.5, but
the driver I'm using claims it's 1.3.4.

Comment 6 Nate Faerber 2003-04-01 20:33:54 UTC
It may be a snapshot of the 1.3.5 driver that was released a week before the
official 1.3.5 driver.  This snapshot still had the 1.3.4 version number in it.
 The snapshot was dated 20030318 while the driver properly label 1.3.5 is 20030325.

Comment 7 Alan Cox 2003-06-05 15:06:07 UTC
Yes. 1.3.5 has been running in the -ac tree for a while and it seems way way better


Comment 8 Nate Faerber 2003-06-05 20:42:56 UTC
1.3.8 has fixed even more problems for us.  Based on my testing, I wouldn't
recommend anything less than 1.3.8 on systems with heavy disk I/O.

Alan, do you know what's holding Red Hat back from updating this driver in the
errata kernels?

Comment 9 Alan Cox 2003-06-08 15:13:45 UTC
Well founded paranoia of changes breaking things mostly.